/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.r_kvstore.model.v20150101;

import java.util.List;
import com.aliyuncs.AcsResponse;
import com.aliyuncs.r_kvstore.transform.v20150101.DescribeMonitorValuesResponseUnmarshaller;
import com.aliyuncs.transform.UnmarshallerContext;

/**
 * @author auto create
 * @version 
 */
public class DescribeMonitorValuesResponse extends AcsResponse {

	private String requestId;

	private String date;

	private List<KVStoreInstanceMonitor> instanceIds;

	public String getRequestId() {
		return this.requestId;
	}

	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}

	public String getDate() {
		return this.date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public List<KVStoreInstanceMonitor> getInstanceIds() {
		return this.instanceIds;
	}

	public void setInstanceIds(List<KVStoreInstanceMonitor> instanceIds) {
		this.instanceIds = instanceIds;
	}

	public static class KVStoreInstanceMonitor {

		private String instanceId;

		private List<KVStoreMonitorKey> monitorKeys;

		public String getInstanceId() {
			return this.instanceId;
		}

		public void setInstanceId(String instanceId) {
			this.instanceId = instanceId;
		}

		public List<KVStoreMonitorKey> getMonitorKeys() {
			return this.monitorKeys;
		}

		public void setMonitorKeys(List<KVStoreMonitorKey> monitorKeys) {
			this.monitorKeys = monitorKeys;
		}

		public static class KVStoreMonitorKey {

			private String monitorKey;

			private String value;

			private String unit;

			public String getMonitorKey() {
				return this.monitorKey;
			}

			public void setMonitorKey(String monitorKey) {
				this.monitorKey = monitorKey;
			}

			public String getValue() {
				return this.value;
			}

			public void setValue(String value) {
				this.value = value;
			}

			public String getUnit() {
				return this.unit;
			}

			public void setUnit(String unit) {
				this.unit = unit;
			}
		}
	}

	@Override
	public DescribeMonitorValuesResponse getInstance(UnmarshallerContext context) {
		return	DescribeMonitorValuesResponseUnmarshaller.unmarshall(this, context);
	}
}
