/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.r_kvstore.transform.v20150101;

import java.util.ArrayList;
import java.util.List;

import com.aliyuncs.r_kvstore.model.v20150101.DescribeMonitorValuesResponse;
import com.aliyuncs.r_kvstore.model.v20150101.DescribeMonitorValuesResponse.KVStoreInstanceMonitor;
import com.aliyuncs.r_kvstore.model.v20150101.DescribeMonitorValuesResponse.KVStoreInstanceMonitor.KVStoreMonitorKey;
import com.aliyuncs.transform.UnmarshallerContext;


public class DescribeMonitorValuesResponseUnmarshaller {

	public static DescribeMonitorValuesResponse unmarshall(DescribeMonitorValuesResponse describeMonitorValuesResponse, UnmarshallerContext context) {
		
		describeMonitorValuesResponse.setRequestId(context.stringValue("DescribeMonitorValuesResponse.RequestId"));
		describeMonitorValuesResponse.setDate(context.stringValue("DescribeMonitorValuesResponse.Date"));

		List<KVStoreInstanceMonitor> instanceIds = new ArrayList<KVStoreInstanceMonitor>();
		for (int i = 0; i < context.lengthValue("DescribeMonitorValuesResponse.InstanceIds.Length"); i++) {
			KVStoreInstanceMonitor kVStoreInstanceMonitor = new KVStoreInstanceMonitor();
			kVStoreInstanceMonitor.setInstanceId(context.stringValue("DescribeMonitorValuesResponse.InstanceIds["+ i +"].InstanceId"));

			List<KVStoreMonitorKey> monitorKeys = new ArrayList<KVStoreMonitorKey>();
			for (int j = 0; j < context.lengthValue("DescribeMonitorValuesResponse.InstanceIds["+ i +"].MonitorKeys.Length"); j++) {
				KVStoreMonitorKey kVStoreMonitorKey = new KVStoreMonitorKey();
				kVStoreMonitorKey.setMonitorKey(context.stringValue("DescribeMonitorValuesResponse.InstanceIds["+ i +"].MonitorKeys["+ j +"].MonitorKey"));
				kVStoreMonitorKey.setValue(context.stringValue("DescribeMonitorValuesResponse.InstanceIds["+ i +"].MonitorKeys["+ j +"].Value"));
				kVStoreMonitorKey.setUnit(context.stringValue("DescribeMonitorValuesResponse.InstanceIds["+ i +"].MonitorKeys["+ j +"].Unit"));

				monitorKeys.add(kVStoreMonitorKey);
			}
			kVStoreInstanceMonitor.setMonitorKeys(monitorKeys);

			instanceIds.add(kVStoreInstanceMonitor);
		}
		describeMonitorValuesResponse.setInstanceIds(instanceIds);
	 
	 	return describeMonitorValuesResponse;
	}
}